<%= form_for @task do |f| %>
  <%= f.label :name %>
  <%= f.text_field :name %>
  <% if @todos.count > 0 %>
    <table>
      <th>Done?</th>
      <th>Todo</th>
      <th><%= sortable "priority" %></th>
      <th><%= sortable "due_date", "Due Date" %></th>
      <th>Delete?</th>
      <% @todos.each do |todo| %>
        <%= f.fields_for :todos, todo do |builder| %>
          <tr>
            <td><%= builder.check_box :completed %></td>
            <td><%= builder.text_field :description %></td>
            <td><%= builder.number_field :priority, min: 1 %></td>
            <td><%= builder.date_select :due_date %></td>
            <td><%= builder.check_box :_destroy%></td>
          </tr>
        <% end %>
      <% end %>
    </table>
  <% end %>
  <div class="actions">
    <%= f.submit %>
  </div>
<% end %>